<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goldenwater.slaj.hidd.mapper.BisHiddRectImplMapper">
    <resultMap type="com.goldenwater.slaj.hidd.domain.BisHiddRectImpl" id="BisHiddRectImplResult">
        <result property="guid" column="guid"/>
        <result property="hiddGuid" column="hidd_guid"/>
        <result property="goverRespWiunGuid" column="gover_resp_wiun_guid"/>
        <result property="rectLegPers" column="rect_leg_pers"/>
        <result property="rectPersOffiTel" column="rect_pers_offi_tel"/>
        <result property="requCompDate" column="requ_comp_date"/>
        <result property="acimpGoverFund" column="acimp_gover_fund"/>
        <result property="goveObjeTasks" column="gove_obje_tasks"/>
        <result property="emerPlanSame" column="emer_plan_same"/>
        <result property="corrMeas" column="corr_meas"/>
        <result property="note" column="note"/>
        <result property="collTime" column="coll_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="recPers" column="rec_pers"/>
        <result property="goverRespWiun" column="gover_resp_wiun"/>
    </resultMap>
    <sql id="selectBisHiddRectImplVo">
        select guid, hidd_guid, gover_resp_wiun_guid, rect_leg_pers, rect_pers_offi_tel, requ_comp_date, acimp_gover_fund, gove_obje_tasks, emer_plan_same, corr_meas, note, coll_time, upd_time, rec_pers, gover_resp_wiun
        from bis_hidd_rect_impl
    </sql>
    <select id="selectBisHiddRectImplByGuid" parameterType="String" resultMap="BisHiddRectImplResult">
        <include refid="selectBisHiddRectImplVo"/>
        where guid = #{guid}
    </select>
    <select id="selectBisHiddRectImplList" parameterType="com.goldenwater.slaj.hidd.domain.BisHiddRectImpl" resultMap="BisHiddRectImplResult">
        <include refid="selectBisHiddRectImplVo"/>
        <where>
            <if test="hiddGuid != null and hiddGuid != ''">AND hidd_guid = #{hiddGuid}</if>
            <if test="guid != null and guid != ''">AND guid = #{guid}</if>
        </where>
    </select>
    <insert id="insertBisHiddRectImpl" parameterType="com.goldenwater.slaj.hidd.domain.BisHiddRectImpl">
        insert into bis_hidd_rect_impl (guid, hidd_guid, gover_resp_wiun_guid, rect_leg_pers, rect_pers_offi_tel, requ_comp_date, acimp_gover_fund, gove_obje_tasks, emer_plan_same, corr_meas, note, coll_time, upd_time, rec_pers, gover_resp_wiun)
        values (#{guid}, #{hiddGuid}, #{goverRespWiunGuid}, #{rectLegPers}, #{rectPersOffiTel}, #{requCompDate}, #{acimpGoverFund}, #{goveObjeTasks}, #{emerPlanSame}, #{corrMeas}, #{note}, #{collTime}, #{updTime}, #{recPers}, #{goverRespWiun})
    </insert>
    <update id="updateBisHiddRectImpl" parameterType="com.goldenwater.slaj.hidd.domain.BisHiddRectImpl">
        update bis_hidd_rect_impl
        <set>
            <if test="hiddGuid != null">hidd_guid = #{hiddGuid},</if>
            <if test="goverRespWiunGuid != null">gover_resp_wiun_guid = #{goverRespWiunGuid},</if>
            <if test="rectLegPers != null">rect_leg_pers = #{rectLegPers},</if>
            <if test="rectPersOffiTel != null">rect_pers_offi_tel = #{rectPersOffiTel},</if>
            <if test="requCompDate != null">requ_comp_date = #{requCompDate},</if>
            <if test="acimpGoverFund != null">acimp_gover_fund = #{acimpGoverFund},</if>
            <if test="goveObjeTasks != null">gove_obje_tasks = #{goveObjeTasks},</if>
            <if test="emerPlanSame != null">emer_plan_same = #{emerPlanSame},</if>
            <if test="corrMeas != null">corr_meas = #{corrMeas},</if>
            <if test="note != null">note = #{note},</if>
            <if test="collTime != null">coll_time = #{collTime},</if>
            <if test="updTime != null">upd_time = #{updTime},</if>
            <if test="recPers != null">rec_pers = #{recPers},</if>
            <if test="goverRespWiun != null">gover_resp_wiun = #{goverRespWiun},</if>
        </set>
        where guid = #{guid}
    </update>
    <delete id="deleteBisHiddRectImplByGuid" parameterType="String">
        delete from bis_hidd_rect_impl where guid = #{guid}
    </delete>
    <delete id="deleteBisHiddRectImplByGuids" parameterType="String">
        delete from bis_hidd_rect_impl where guid in
        <foreach item="guid" collection="array" open="(" separator="," close=")">
            #{guid}
        </foreach>
    </delete>
</mapper>
